module SomeTestsFail
where

import Test.HUnit
import Test.HUnit.Gui

import Util.FakeTests

main = do
  testInfo <- runTestGui bigLongTests
  exitWhenGuiCloses testInfo

bigLongTests :: Test
bigLongTests = test [ "long-running success" ~: fakeSuccess 2000
                    , "quick-running success" ~: fakeSuccess 500
                    , "long-running failure" ~: fakeFailure 2000
                    , "quick-running failure" ~: fakeFailure 500
                    ]
